API

Publish or hide a district

POST/api/crm/v2/districts.toggle_publish_statusv2
operationId: districts.togglePublishStatus

Publishes or hides a district. This is the same flag as the eye icon in the district list and the "Hide" option in the district menu. A hidden district is removed from the map and the legend, but remains in the list and dropdown menus.

Authorization

api-token + language + role

Query parameters

branch_idintegerrequired

Example: 1

Request body application/json

object
idintegerrequired

Example: 1

activebooleanrequired

Example: true

Responses

OK

object (Response)
statusstringrequired

Values:successerror

Example: success

One of the options
object

Error details

errorobjectrequired
codeintegerrequired

Error code

variablesobject
descriptionstringrequired

Error description